.block-product-card__media-gallery {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
}

.block-product-card__layer-image-wrapper--media-gallery
  .block-product-card__layer-wrapper {
  pointer-events: none;
}

.block-product-card__layer-image-wrapper--media-gallery
  .block-product-card__layer-wrapper
  :is(a, button, input, select, textarea, label) {
  pointer-events: auto;
}

.block-product-card__media-gallery .swiper-slide {
  width: 100%;
  height: 100%;
}

.block-product-card__media-gallery .block-product-card__image {
  width: 100%;
  height: 100%;
  object-fit: var(--fit-type);
}

.block-product-card__media-gallery-nav {
  position: absolute;
  top: 50%;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 34px;
  height: 34px;
  padding: 0;
  cursor: pointer;
  transform: translateY(-50%);
  background: transparent;
  border: 0;
  color: #ffffff;
}

.block-product-card__media-gallery-nav--previous {
  left: 10px;
}

.block-product-card__media-gallery-nav--next {
  right: 10px;
}

.block-product-card__media-gallery-nav--previous .icon {
  transform: rotate(180deg);
}

.block-product-card__media-gallery-nav .icon {
  width: 20px;
  height: 20px;
}

@media (max-width: 959px) {
  .block-product-card__media-gallery-nav {
    width: 28px;
    height: 28px;
    opacity: 1;
  }

  .block-product-card__media-gallery-nav--previous {
    left: 6px;
  }

  .block-product-card__media-gallery-nav--next {
    right: 6px;
  }
}
